from ..Field import Field

#=============================================================================

class String(Field):

#=============================================================================
    CLASS=str

#=============================================================================
class Integer(Field):
#=============================================================================
    CLASS=int

#=============================================================================
class Float(Field):
#=============================================================================
    CLASS=float

#=============================================================================
class Boolean(Field):
#=============================================================================
    CLASS=bool


#=============================================================================
class Time(Field):
#=============================================================================
    CLASS=float

#=============================================================================
class Date(Field):
#=============================================================================
    CLASS=str

#=============================================================================
class List(Field):
#=============================================================================
    CLASS=list

    def get_value(self,value):
        #print("value",value)
        #exit()
        if value is None:
            return self.CLASS()

        if type(value)==str:
            lst=value.split(",")
            if len(lst)>1:
                return lst
            else:
                 return [value,]

#=============================================================================

